# Class default

- Defined in src/public/app/services/load_results.ts:63

##### Index

### Constructors

constructor

### Methods

addAttachmentRow
addAttribute
addBranch
addNote
addNoteContent
addNoteReordering
addOption
addRevision
getAttachmentRows
getAttributeRows
getBranchRows
getEntityRow
getNoteIds
getNoteReorderings
getOptionNames
hasAttributeRelatedChanges
hasRevisionForNote
isEmpty
isEmptyForTree
isNoteContentReloaded
isNoteReloaded
isOptionReloaded

## Constructors

### constructor

- new default(entityChanges: EntityChange[]): default

  #### Parameters

  - entityChanges: EntityChange[]

  #### Returns default

  - Defined in src/public/app/services/load_results.ts:75

## Methods

### addAttachmentRow

- addAttachmentRow(attachment: AttachmentRow ): void

  #### Parameters

  - attachment: AttachmentRow

  #### Returns void

  - Defined in src/public/app/services/load_results.ts:196

### addAttribute

- addAttribute(attributeId: string, componentId: string): void

  #### Parameters

  - attributeId: string
  - componentId: string

  #### Returns void

  - Defined in src/public/app/services/load_results.ts:140

### addBranch

- addBranch(branchId: string, componentId: string): void

  #### Parameters

  - branchId: string
  - componentId: string

  #### Returns void

  - Defined in src/public/app/services/load_results.ts:124

### addNote

- addNote(noteId: string, componentId?: null | string): void

  #### Parameters

  - noteId: string
  - `Optional` componentId: null | string

  #### Returns void

  - Defined in src/public/app/services/load_results.ts:108

### addNoteContent

- addNoteContent(noteId: string, componentId: string): void

  #### Parameters

  - noteId: string
  - componentId: string

  #### Returns void

  - Defined in src/public/app/services/load_results.ts:172

### addNoteReordering

- addNoteReordering(parentNoteId: string, componentId: string): void

  #### Parameters

  - parentNoteId: string
  - componentId: string

  #### Returns void

  - Defined in src/public/app/services/load_results.ts:132

### addOption

- addOption(name: string): void

  #### Parameters

  - name: string

  #### Returns void

  - Defined in src/public/app/services/load_results.ts:184

### addRevision

- addRevision(
  revisionId: string,
  noteId?: string,
  componentId?: null | string,
  ): void

  #### Parameters

  - revisionId: string
  - `Optional` noteId: string
  - `Optional` componentId: null | string

  #### Returns void

  - Defined in src/public/app/services/load_results.ts:151

### getAttachmentRows

- getAttachmentRows(): AttachmentRow []

  #### Returns AttachmentRow []

  - Defined in src/public/app/services/load_results.ts:200

### getAttributeRows

- getAttributeRows(componentId?: string): AttributeRow[]

  #### Parameters

  - componentId: string = "none"

  #### Returns AttributeRow[]

  - Defined in src/public/app/services/load_results.ts:144

### getBranchRows

- getBranchRows(): BranchRow[]

  #### Returns BranchRow[]

  - Defined in src/public/app/services/load_results.ts:128

### getEntityRow

- getEntityRow< T extends keyof EntityRowMappings>(
  entityName: T ,
  entityId: string,
  ): EntityRowMappings[ T ]

  #### Type Parameters

  - T extends keyof EntityRowMappings

  #### Parameters

  - entityName: T
  - entityId: string

  #### Returns EntityRowMappings[ T ]

  - Defined in src/public/app/services/load_results.ts:104

### getNoteIds

- getNoteIds(): string[]

  #### Returns string[]

  - Defined in src/public/app/services/load_results.ts:159

### getNoteReorderings

- getNoteReorderings(): string[]

  #### Returns string[]

  - Defined in src/public/app/services/load_results.ts:136

### getOptionNames

- getOptionNames(): string[]

  #### Returns string[]

  - Defined in src/public/app/services/load_results.ts:192

### hasAttributeRelatedChanges

- hasAttributeRelatedChanges(): boolean

  #### Returns boolean

  true if there are changes which could affect the attributes (including inherited ones) notably changes in note itself should not have any effect on attributes

  - Defined in src/public/app/services/load_results.ts:208

### hasRevisionForNote

- hasRevisionForNote(noteId: string): boolean

  #### Parameters

  - noteId: string

  #### Returns boolean

  - Defined in src/public/app/services/load_results.ts:155

### isEmpty

- isEmpty(): boolean

  #### Returns boolean

  - Defined in src/public/app/services/load_results.ts:212

### isEmptyForTree

- isEmptyForTree(): boolean

  #### Returns boolean

  - Defined in src/public/app/services/load_results.ts:225

### isNoteContentReloaded

- isNoteContentReloaded(
  noteId: string,
  componentId?: string,
  ): undefined | false | ContentNoteIdToComponentIdRow

  #### Parameters

  - noteId: string
  - `Optional` componentId: string

  #### Returns undefined | false | ContentNoteIdToComponentIdRow

  - Defined in src/public/app/services/load_results.ts:176

### isNoteReloaded

- isNoteReloaded(
  noteId: undefined | null | string,
  componentId?: null | string,
  ): boolean

  #### Parameters

  - noteId: undefined | null | string
  - componentId: null | string = null

  #### Returns boolean

  - Defined in src/public/app/services/load_results.ts:163

### isOptionReloaded

- isOptionReloaded(name: string): boolean

  #### Parameters

  - name: string

  #### Returns boolean

  - Defined in src/public/app/services/load_results.ts:188